import axiosApi from './AxiosApi.js'

const apiList = {
  cmsTemplatePage: `/cmsTemplate/page`,
  addTemplate: '/cmsTemplate',
  deleteTemplate: '/cmsTemplate'
}
export default {
  cmsTemplatePage(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.cmsTemplatePage,
      data
    })
  },
  addTemplate(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.addTemplate,
      data
    })
  },
  deleteTemplate(data) {
    return axiosApi({
      method: 'DELETE',
      url: apiList.deleteTemplate,
      data
    })
  },
  updateTemplate(data) {
    return axiosApi({
      method: 'PUT',
      url: apiList.deleteTemplate,
      data
    })
  }
}
